Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 13 Mar 2016 22:22:55 -0400

> As mentioned in a recent discussion:
> 1. M-x eshell
> 2. type 'cd /'
> 3. M-: (require 'tramp) ;; New step!
> 4. M-x pcomplete

> I'm getting the error 'tramp-file-name-handler: Host name must not match
> method "adb"'.

I can reproduce it this time (also in 24.5), yes, thank you.
But I can't get a backtrace.  Even debug-on-signal doesn't give me
one :-(

Hard to know where to fix the problem, because it surely needs to be
somewhere along that backtrace.

        Stefan